Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Class ListDataEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.swing.event.ListDataEvent

public class ListDataEvent
extends java.util.EventObject

Defines an event that encapsulates changes to a list.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Field Summary
`static int` | `CONTENTS_CHANGED` Identifies one or more changes in the lists contents.
`static int` | `INTERVAL_ADDED` Identifies the addition of one or more contiguous items to the list
`static int` | `INTERVAL_REMOVED` Identifies the removal of one or more contiguous items from the list

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ListDataEvent(java.lang.Object source, int type, int index0, int index1)` Constructs a ListDataEvent object.

Method Summary
`int` | `getIndex0()` Returns the lower index of the range.
`int` | `getIndex1()` Returns the upper index of the range.
`int` | `getType()` Returns the event type.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONTENTS_CHANGED

    public static final int CONTENTS_CHANGED

  Identifies one or more changes in the lists contents.

### INTERVAL_ADDED

    public static final int INTERVAL_ADDED

  Identifies the addition of one or more contiguous items to the list

### INTERVAL_REMOVED

    public static final int INTERVAL_REMOVED

  Identifies the removal of one or more contiguous items from the list

Constructor Detail

### ListDataEvent

    public ListDataEvent(java.lang.Object source,
                         int type,
                         int index0,
                         int index1)

  Constructs a ListDataEvent object.
  Parameters:
    `source` - the source Object (typically `this`)
    `type` - an int specifying `CONTENTS_CHANGED`, `INTERVAL_ADDED`, or `INTERVAL_REMOVED`
    `index0` - an int specifying the bottom of a range
    `index1` - an int specifying the top of a range

Method Detail

### getType

    public int getType()

  Returns the event type. The possible values are:
  - `CONTENTS_CHANGED`
  - `INTERVAL_ADDED`
  - `INTERVAL_REMOVED`
  Returns:
    an int representing the type value

### getIndex0

    public int getIndex0()

  Returns the lower index of the range. For a single element, this value is the same as that returned by `getIndex1()`.
  Returns:
    an int representing the lower index value

### getIndex1

    public int getIndex1()

  Returns the upper index of the range. For a single element, this value is the same as that returned by `getIndex0()`.
  Returns:
    an int representing the upper index value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.